summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/rule_management/0002insertposition_0
diff options
context:
space:
mode:
authorArturo Borrero <arturo.borrero.glez@gmail.com>2016-04-14 09:58:56 +0200
committerPablo Neira Ayuso <pablo@netfilter.org>2016-04-15 12:39:05 +0200
commitf9feca7d4029ed5af9e392cab3db93a5db0aa33f (patch)
treeaa3e2f7903d88183be3dbba80a1e00cb2d428567 /tests/shell/testcases/rule_management/0002insertposition_0
parent795d88cb710512d9b85afbb17beaeec3d92dcd54 (diff)
tests/shell: add testcases for Netfilter bug #965
Testscases for Netfilter bug #965: * add rule at position * insert rule at position * replace rule with given handle * delete rule with given handle * don't allow to delete rules with position keyword Netfilter Bugzilla: http://bugzilla.netfilter.org/show_bug.cgi?id=965 Signed-off-by: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com> Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell/testcases/rule_management/0002insertposition_0')
-rwxr-xr-xtests/shell/testcases/rule_management/0002insertposition_027
1 files changed, 27 insertions, 0 deletions
diff --git a/tests/shell/testcases/rule_management/0002insertposition_0 b/tests/shell/testcases/rule_management/0002insertposition_0
new file mode 100755
index 00000000..cf8a568d
--- /dev/null
+++ b/tests/shell/testcases/rule_management/0002insertposition_0
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# tests for Netfilter bug #965 and the related fix
+# (regarding rule management with a given position/handle spec)
+
+set -e
+$NFT add table t
+$NFT add chain t c
+$NFT add rule t c accept # should have handle 2
+$NFT add rule t c accept # should have handle 3
+$NFT insert rule t c position 2 drop
+
+EXPECTED="table ip t {
+ chain c {
+ drop
+ accept
+ accept
+ }
+}"
+
+GET="$($NFT list ruleset)"
+
+if [ "$EXPECTED" != "$GET" ] ; then
+ DIFF="$(which diff)"
+ [ -x $DIFF ] && $DIFF -u <(echo "$EXPECTED") <(echo "$GET")
+ exit 1
+fi